summaryrefslogtreecommitdiffstats
path: root/tests/gnu/fstype_stacked.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/gnu/fstype_stacked.sh')
-rw-r--r--tests/gnu/fstype_stacked.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/gnu/fstype_stacked.sh b/tests/gnu/fstype_stacked.sh
new file mode 100644
index 0000000..7110402
--- /dev/null
+++ b/tests/gnu/fstype_stacked.sh
@@ -0,0 +1,13 @@
+test "$SUDO" || skip
+test "$UNAME" = "Linux" || skip
+
+clean_scratch
+mkdir scratch/mnt
+
+sudo mount -t tmpfs tmpfs scratch/mnt
+trap "sudo umount scratch/mnt" EXIT
+
+sudo mount -t ramfs ramfs scratch/mnt
+trap "sudo umount scratch/mnt; sudo umount scratch/mnt" EXIT
+
+bfs_diff scratch/mnt -fstype ramfs -print -o -printf '%p: %F\n'